Permalink
Browse files

Merge pull request #29285 from SamSaffron/remove_therubyracer

Replace therubyracer with mini_racer
  • Loading branch information...
guilleiguaran committed May 30, 2017
2 parents 3fbe657 + 6cc1539 commit 53c8dff33b2d68a9824efd19f431bb0e5f64d23a
@@ -868,7 +868,7 @@ pre-existing JavaScript runtimes, you may want to add one to your Gemfile:
```ruby
group :production do
gem 'therubyracer'
gem 'mini_racer'
end
```
@@ -208,7 +208,7 @@ TIP: Compiling CoffeeScript and JavaScript asset compression requires you
have a JavaScript runtime available on your system, in the absence
of a runtime you will see an `execjs` error during asset compilation.
Usually macOS and Windows come with a JavaScript runtime installed.
Rails adds the `therubyracer` gem to the generated `Gemfile` in a
Rails adds the `mini_racer` gem to the generated `Gemfile` in a
commented line for new apps and you can uncomment if you need it.
`therubyrhino` is the recommended runtime for JRuby users and is added by
default to the `Gemfile` in apps generated under JRuby. You can investigate
@@ -349,7 +349,7 @@ def javascript_runtime_gemfile_entry
if defined?(JRUBY_VERSION)
GemfileEntry.version "therubyrhino", nil, comment
else
GemfileEntry.new "therubyracer", nil, comment, { platforms: :ruby }, true
GemfileEntry.new "mini_racer", nil, comment, { platforms: :ruby }, true
end
end
@@ -468,7 +468,7 @@ def test_inclusion_of_javascript_runtime
if defined?(JRUBY_VERSION)
assert_gem "therubyrhino"
else
assert_file "Gemfile", /# gem 'therubyracer', platforms: :ruby/
assert_file "Gemfile", /# gem 'mini_racer', platforms: :ruby/
end
end

0 comments on commit 53c8dff

Please sign in to comment.